﻿using InternetShopContracts.DataBindingModels;
using InternetShopContracts.DataSearchModels;
using InternetShopContracts.DataViewModels;

namespace InternetShopContracts.LogicsContracts
{
    public interface IProductLogic
    {
        List<ProductViewModel> ReadList(ProductSearchModel? model = null);
        ProductViewModel? ReadElement(ProductSearchModel model);
        bool Create(ProductBindingModel model);
        bool Update(ProductBindingModel model);
        bool Delete(ProductSearchModel model);
    }
}
