﻿using InternetShopContracts.DataBindingModels;
using InternetShopContracts.DataSearchModels;
using InternetShopContracts.DataViewModels;

namespace InternetShopContracts.StorageContracts
{
    public interface IProductStorage
    {
        List<ProductViewModel> GetFullList();
        List<ProductViewModel> GetFilteredList(ProductSearchModel model);
        ProductViewModel? GetElement(ProductSearchModel model);
        ProductViewModel? Insert(ProductBindingModel model);
        ProductViewModel? Update(ProductBindingModel model);
        ProductViewModel? Delete(ProductSearchModel model);
    }
}
