﻿using InternetShopContracts.DataBindingModels;
using InternetShopContracts.DataSearchModels;
using InternetShopContracts.DataViewModels;

namespace InternetShopContracts.LogicsContracts
{
    public interface IOrderLogic
    {
        List<OrderViewModel> ReadList(OrderSearchModel? model = null);
        OrderViewModel? ReadElement(OrderSearchModel model);
        bool Create(OrderBindingModel model);
        bool Update(OrderBindingModel model);
        bool Delete(OrderSearchModel model);
    }
}
